//
// Generated file, do not edit! Created by nedtool 4.6 from routing_message.msg.
//

#ifndef _ROUTING_MESSAGE_M_H_
#define _ROUTING_MESSAGE_M_H_

#include <omnetpp.h>

// nedtool version check
#define MSGC_VERSION 0x0406
#if (MSGC_VERSION!=OMNETPP_VERSION)
#    error Version mismatch! Probably this file was generated by an earlier version of nedtool: 'make clean' should help.
#endif



/**
 * Class generated from <tt>routing_message.msg:19</tt> by nedtool.
 * <pre>
 * //
 * // TODO generated message class
 * //
 * packet Routing_message
 * {
 *     double rank;
 *     int sourceID;
 *     int concentratorID;
 *     double totalHopEnergy;
 *     int noHopsToConcentrator;
 * }
 * </pre>
 */
class Routing_message : public ::cPacket
{
  protected:
    double rank_var;
    int sourceID_var;
    int concentratorID_var;
    double totalHopEnergy_var;
    int noHopsToConcentrator_var;

  private:
    void copy(const Routing_message& other);

  protected:
    // protected and unimplemented operator==(), to prevent accidental usage
    bool operator==(const Routing_message&);

  public:
    Routing_message(const char *name=NULL, int kind=0);
    Routing_message(const Routing_message& other);
    virtual ~Routing_message();
    Routing_message& operator=(const Routing_message& other);
    virtual Routing_message *dup() const {return new Routing_message(*this);}
    virtual void parsimPack(cCommBuffer *b);
    virtual void parsimUnpack(cCommBuffer *b);

    // field getter/setter methods
    virtual double getRank() const;
    virtual void setRank(double rank);
    virtual int getSourceID() const;
    virtual void setSourceID(int sourceID);
    virtual int getConcentratorID() const;
    virtual void setConcentratorID(int concentratorID);
    virtual double getTotalHopEnergy() const;
    virtual void setTotalHopEnergy(double totalHopEnergy);
    virtual int getNoHopsToConcentrator() const;
    virtual void setNoHopsToConcentrator(int noHopsToConcentrator);
};

inline void doPacking(cCommBuffer *b, Routing_message& obj) {obj.parsimPack(b);}
inline void doUnpacking(cCommBuffer *b, Routing_message& obj) {obj.parsimUnpack(b);}


#endif // ifndef _ROUTING_MESSAGE_M_H_

